summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-06-26 15:10:58 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-06-27 21:00:20 +0200
commit3af4117d918c855770200a2940b144809b14aa4c (patch)
tree55ee38d5677f7f9d9a5e563ab78361fb008659bc /dev-qt/qtwayland
parentprofiles: Mask Qt 5.11.1 for testing (diff)
downloadgentoo-3af4117d918c855770200a2940b144809b14aa4c.tar.gz
gentoo-3af4117d918c855770200a2940b144809b14aa4c.tar.bz2
gentoo-3af4117d918c855770200a2940b144809b14aa4c.zip
dev-qt: Add Qt 5.11.1 (masked)
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-qt/qtwayland')
-rw-r--r--dev-qt/qtwayland/Manifest1
-rw-r--r--dev-qt/qtwayland/qtwayland-5.11.1.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/dev-qt/qtwayland/Manifest b/dev-qt/qtwayland/Manifest
index 40f308e46be..18ab5410c8b 100644
--- a/dev-qt/qtwayland/Manifest
+++ b/dev-qt/qtwayland/Manifest
@@ -1,3 +1,4 @@
DIST qtwayland-everywhere-src-5.11.0-rc2.tar.xz 391416 BLAKE2B 1cc160350430add0129a5976e78bf0d484d9c02d350859f52c93f09c79056d66c623f15c01e348722caa3aadf9e1fe843c5823415f6c6f405764ba7895b7adfa SHA512 0b2857cbfcc1da8ae7cdf5066d9c4d79c6d3e3768afc4f290eb8cf64260655451fdf4e1e67889d414fb651686bd60d4a5df3d890921eb13d0079760bffb94d3a
+DIST qtwayland-everywhere-src-5.11.1.tar.xz 392200 BLAKE2B 2e65c6bd8c9ea44ae84f608312db6983d540382bfb2a22412fe054f4e7253d70e21f4d0577653b246de5b0266271e40911a7c79fc28b266cc29ff30669df280e SHA512 dc1327ef8cdc9ed9521e9db316da0bcdbe9639b714a2dda7a792c52ba5897ddb75deba1ab89e010bc05cc2a96ede781b9990f5449ce4a2f85e15466a4d6d82ad
DIST qtwayland-opensource-src-5.9.4.tar.xz 314932 BLAKE2B de90fb47af0d07e0b6476b84de2f51900e4e09ecd57aee800534998d3a2e733501da877f912c4b0ce671d417f543eb44bc1607225af0a134ba5702d17efae431 SHA512 93d43bdcc39fd471cdd335c0699c5e5dd77cd0bc2d15f2a1170d8ccd103d84e2c7e657575a370ac6c678b52c2b617fb2c80ce4d226264cb6c857064452f7dc10
DIST qtwayland-opensource-src-5.9.6.tar.xz 316152 BLAKE2B a1ebbf98eea9ca36f8229ed0bdfdeb79eb9d1519ff35eb153d7f8b7af2ad9831905e564464ec1faf793a7b11088d43d6dda6dc21b36943fccb569163c119a30a SHA512 7376f76001323d7971cb3be7592086b26c855d8d702184e84f28656b4262a9780b4cc0a0991c97ca011863570b6abd63b006c78021934e1516be65715f82ae4b
diff --git a/dev-qt/qtwayland/qtwayland-5.11.1.ebuild b/dev-qt/qtwayland/qtwayland-5.11.1.ebuild
new file mode 100644
index 00000000000..4c3553046db
--- /dev/null
+++ b/dev-qt/qtwayland/qtwayland-5.11.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Wayland platform plugin for Qt"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="+libinput xcomposite"
+
+DEPEND="
+ >=dev-libs/wayland-1.6.0
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtdeclarative-${PV}
+ ~dev-qt/qtgui-${PV}[egl,libinput?]
+ media-libs/mesa[egl]
+ >=x11-libs/libxkbcommon-0.2.0
+ xcomposite? (
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ qt_use_disable_config libinput xkbcommon-evdev \
+ src/client/client.pro \
+ src/compositor/wayland_wrapper/wayland_wrapper.pri \
+ src/plugins/shellintegration/ivi-shell/ivi-shell.pro \
+ tests/auto/compositor/compositor/compositor.pro
+
+ use xcomposite || rm -r config.tests/xcomposite || die
+
+ qt5-build_src_prepare
+}